Page MenuHomePhabricator

[clang-format] Add SpacesInSquareBrackets option. Fix LLVM bug #17887.
ClosedPublic

Authored by curdeius on Aug 17 2014, 10:43 AM.

Details

Reviewers
djasper
Summary

New option SpacesInSquareBrackets.

Before:

int a[5];
a[3] += 42;

After:

int a[ 5 ];
a[ 3 ] += 42;

Fix LLVM bug #17887 (http://llvm.org/bugs/show_bug.cgi?id=17887).

Diff Detail

Event Timeline

curdeius updated this revision to Diff 12589.Aug 17 2014, 10:43 AM
curdeius retitled this revision from to [clang-format] Add SpacesInSquareBrackets option. Fix LLVM bug #17887..
curdeius updated this object.
curdeius edited the test plan for this revision. (Show Details)
curdeius added a reviewer: djasper.
curdeius added a subscriber: djasper.
curdeius updated this object.Aug 17 2014, 10:45 AM
curdeius added a subscriber: Unknown Object (MLST).
curdeius updated this revision to Diff 12594.Aug 17 2014, 2:41 PM
  • [clang-format] Add doc for SpacesInSquareBrackets option.
djasper accepted this revision.Aug 18 2014, 11:51 AM
djasper edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Aug 18 2014, 11:51 AM

Can you please land this patch?
I don't have write access.

Thanks!

Marek Kurdej

Ph.D. candidate

2014-08-18 20:51 GMT+02:00 Daniel Jasper <djasper@google.com>:

Looks good.

http://reviews.llvm.org/D4944

djasper closed this revision.Aug 26 2014, 4:50 AM

Submitted as r216449.